# Uses of Class
org.eclipse.mat.snapshot.MultiplePathsFromGCRootsClassRecord

Packages that use MultiplePathsFromGCRootsClassRecord
Package
Description
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of MultiplePathsFromGCRootsClassRecord in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot that return MultiplePathsFromGCRootsClassRecord
Modifier and Type
Method
Description
`MultiplePathsFromGCRootsClassRecord[]`
MultiplePathsFromGCRootsComputerImpl.`getPathsGroupedByClass(boolean startFromTheGCRoots, IProgressListener progressListener)`

## Uses of MultiplePathsFromGCRootsClassRecord in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return MultiplePathsFromGCRootsClassRecord
Modifier and Type
Method
Description
`MultiplePathsFromGCRootsClassRecord[]`
MultiplePathsFromGCRootsClassRecord.`nextLevel()`
Go down to the next level
Methods in org.eclipse.mat.snapshot that return types with arguments of type MultiplePathsFromGCRootsClassRecord
Modifier and Type
Method
Description
`static Comparator<MultiplePathsFromGCRootsClassRecord>`
MultiplePathsFromGCRootsClassRecord.`getComparatorByNumberOfReferencedObjects()`
`static Comparator<MultiplePathsFromGCRootsClassRecord>`
MultiplePathsFromGCRootsClassRecord.`getComparatorByReferencedHeapSize()`
Returns a Comparator ordering the records descending by the total size of referenced objects.